package kr.co.vividnext.sodalive.explorer

import io.reactivex.rxjava3.core.Single
import kr.co.vividnext.sodalive.common.ApiResponse
import kr.co.vividnext.sodalive.live.room.detail.GetRoomDetailUser
import retrofit2.http.GET
import retrofit2.http.Header
import retrofit2.http.Query

interface ExplorerApi {
    @GET("/explorer")
    fun getExplorer(
        @Header("Authorization") authHeader: String
    ): Single<ApiResponse<GetExplorerResponse>>

    @GET("/explorer/search/channel")
    fun searchChannel(
        @Query("channel") channel: String,
        @Header("Authorization") authHeader: String
    ): Single<ApiResponse<List<GetRoomDetailUser>>>
}
